<?php

	define("DB_SERVER", "localhost");
	define("DB_USER", "branchwe_cherus");
	define("DB_PASS", "(,dwT6e53-1qGzC6{V");
	define("DB_NAME", "branchwe_cherdb");
	define("DB_DRIVER", "mysql");
	define('site_charset','utf8');

	define("TBL_USERS", "users");
	define("TBL_ACTIVE_USERS",  "active_users");
	define("TBL_ACTIVE_GUESTS", "active_guests");
	define("TBL_BANNED_USERS",  "banned_users");
	define("TBL_NEWS", "news");
	define("TBL_SV", "sv");
	define("TBL_MENU", "menu");
	define("TBL_VIDEO", "video");
	define("TBL_CAT", "category");
	define("TBL_EVENTS", "events");

	define("ADMIN_NAME", "Admin");
	define("GUEST_NAME", "Guest");
	define("EDITOR_NAME", "Editor");
	define("PERSONAL_NAME", "Personal");
	define("USER_NAME", "User");
	define("EDITOR_LEVEL", 3);
	define("PERSONAL_LEVEL", 2);
	define ("ADMIN_LEVEL", 5);
	define ("USER_LEVEL", 1);
	define ("GUEST_LEVEL", 0);

	define("TRACK_VISITORS", true);

	define("USER_TIMEOUT", 10);
	define("GUEST_TIMEOUT", 5);

	define("COOKIE_EXPIRE", 60*60*24*1);  //1 day
	define("COOKIE_PATH", "/");  

	define("ALL_LOWERCASE", false);

	// DATABASE ------------------------------------
	$_DBQUERIES = array();
	$_DB_TIME = 0;

	define("user_registration", 1);


class userDB extends MySQLDB
{

	function page_protect() {
		session_start();

		/* Secure against Session Hijacking by checking user agent */
		if (isset($_SESSION['HTTP_USER_AGENT']))
		{
			if ($_SESSION['HTTP_USER_AGENT'] != md5($_SERVER['HTTP_USER_AGENT']))
			{
				$this->logout();
				exit;
			}
		}

		if (!isset($_SESSION['user_id']) && !isset($_SESSION['user_name']) ) 
		{
			if(isset($_COOKIE['user_id']) && isset($_COOKIE['user_key'])){
			/* we double check cookie expiry time against stored in database */
			
			$cookie_user_id  = $this->filter($_COOKIE['user_id']);

			$this->select("ckey,ctime")->from(TBL_USERS)->where("id", $this->escape($cookie_user_id)); 

			$result=$this->get();

			list($ckey,$ctime) = $this->fetch_row_single($result);
			// coookie expiry
			if( (time() - $ctime) > 60*60*24*COOKIE_TIME_OUT) {

				$this->logout();
				}

			 if( !empty($ckey) && is_numeric($_COOKIE['user_id']) && $this->isUserID($_COOKIE['user_name']) && $_COOKIE['user_key'] == sha1($ckey)  ) {
				  session_regenerate_id(); //against session fixation attacks.
			
				  $_SESSION['user_id'] = $_COOKIE['user_id'];
				  $_SESSION['user_name'] = $_COOKIE['user_name'];
				/* query user level from database instead of storing in cookies */	
					
				  $this->select("user_level")->from(TBL_USERS)->where("id", $this->escape($_SESSION[user_id])); 

				  $result=$this->get();

				  list($user_level) = $this->fetch_row_single($result);

				  $_SESSION['user_level'] = $user_level;
				  $_SESSION['HTTP_USER_AGENT'] = md5($_SERVER['HTTP_USER_AGENT']);
				  
			   } else {
			   $this->logout();
			   }

		  } else {
			header("Location: ?q=cpanel");
			exit();
			}
		}
		}



		function filter($data) {
			$data = trim(htmlentities(strip_tags($data)));
			
			if (get_magic_quotes_gpc())
				$data = stripslashes($data);
			
			$data = $this->escape($data);
			
			return $data;
		}



		function EncodeURL($url)
		{
		$new = strtolower(preg_replace(' ','_',$url));
		return($new);
		}

		function DecodeURL($url)
		{
		$new = ucwords(preg_replace('_',' ',$url));
		return($new);
		}

		function ChopStr($str, $len) 
		{
			if (strlen($str) < $len)
				return $str;

			$str = substr($str,0,$len);
			if ($spc_pos = strrpos($str," "))
					$str = substr($str,0,$spc_pos);

			return $str . "...";
		}	

		function isEmail($email){
		  return preg_match('/^\S+@[\w\d.-]{2,}\.[\w]{2,6}$/iU', $email) ? TRUE : FALSE;
		}

		function isUserID($username)
		{
			if (preg_match('/^[a-z\d_]{5,20}$/i', $username)) {
				return true;
			} else {
				return false;
			}
		 }	
		 
		function isURL($url) 
		{
			if (preg_match('/^(http|https|ftp):\/\/([A-Z0-9][A-Z0-9_-]*(?:\.[A-Z0-9][A-Z0-9_-]*)+):?(\d+)?\/?/i', $url)) {
				return true;
			} else {
				return false;
			}
		} 

		function checkPwd($x,$y) 
		{
		if(empty($x) || empty($y) ) { return false; }
		if (strlen($x) < 4 || strlen($y) < 4) { return false; }

		if (strcmp($x,$y) != 0) {
		 return false;
		 } 
		return true;
		}

		function GenPwd($length = 7)
		{
		  $password = "";
		  $possible = "0123456789bcdfghjkmnpqrstvwxyz"; //no vowels
		  
		  $i = 0; 
			
		  while ($i < $length) { 

			
			$char = substr($possible, mt_rand(0, strlen($possible)-1), 1);
			   
			
			if (!strstr($password, $char)) { 
			  $password .= $char;
			  $i++;
			}

		  }

		  return $password;

		}

		function GenKey($length = 7)
		{
		  $password = "";
		  $possible = "0123456789abcdefghijkmnopqrstuvwxyz"; 
		  
		  $i = 0; 
			
		  while ($i < $length) { 

			
			$char = substr($possible, mt_rand(0, strlen($possible)-1), 1);
			   
			
			if (!strstr($password, $char)) { 
			  $password .= $char;
			  $i++;
			}

		  }

		  return $password;

		}


		function logout()
		{
			global $database;
			session_start();

			if(isset($_SESSION['user_id']) || isset($_COOKIE['user_id'])) {

			$data['ckey'] = '';$data['ctime'] = '';
			$database->query_update(TBL_USERS, $data, "'id'='".$_SESSION['user_id']."' OR  'id' = '".$_COOKIE['user_id']."'");

			}			

			/************ Delete the sessions****************/
			unset($_SESSION['user_id']);
			unset($_SESSION['user_name']);
			unset($_SESSION['user_level']);
			unset($_SESSION['HTTP_USER_AGENT']);
			session_unset();
			session_destroy(); 

			/* Delete the cookies*******************/
			setcookie("user_id", '', time()-60*60*24*COOKIE_TIME_OUT, "/");
			setcookie("user_name", '', time()-60*60*24*COOKIE_TIME_OUT, "/");
			setcookie("user_key", '', time()-60*60*24*COOKIE_TIME_OUT, "/");

		}

		// Password and salt generation
		function PwdHash($pwd, $salt = null)
		{
			if ($salt === null)     {
				$salt = substr(md5(uniqid(rand(), true)), 0, SALT_LENGTH);
			}
			else     {
				$salt = substr($salt, 0, SALT_LENGTH);
			}
			return $salt . sha1($pwd . $salt);
		}

		function checkAdmin() {

		if($_SESSION['user_level'] == ADMIN_LEVEL) {
		return 1;
		} else { return 0 ;
		}

	}

		function checkEditor() {

		if($_SESSION['user_level'] == EDITOR_LEVEL) {
		return 1;
		} else { return 0 ;
		}

	}

  
   function calcNumActiveUsers(){
		
	  $this->select("*")->from(TBL_ACTIVE_USERS); 

	  $result=$this->get();

      $this->num_active_users = $this->num_rows($result);
   }
   
   function calcNumActiveGuests(){

	   $this->select("*")->from(TBL_ACTIVE_GUESTS); 

	  $result=$this->get();

      $this->num_active_guests = $this->num_rows($result);
   }
   
   function addActiveUser($username, $time){

	  
	  $data = array(
				'timestamp' => $this->escape($time)
			);
		
	  $this->query_update(TBL_USERS,$data,'username=\''.$this->escape($username).'\'');
      
      if(!TRACK_VISITORS) return;
      $q = "REPLACE INTO ".TBL_ACTIVE_USERS." VALUES ('".$this->escape($username)."', '".$this->escape($time)."')";
      $this->query($q, $this->connection);
      $this->calcNumActiveUsers();
   }
   
   function addActiveGuest($ip, $time){
      if(!TRACK_VISITORS) return;
      $q = "REPLACE INTO ".TBL_ACTIVE_GUESTS." VALUES ('".$this->escape($ip)."', '".$this->escape($time)."')";
      $this->query($q, $this->connection);
      $this->calcNumActiveGuests();
   }
   
   function removeActiveUser($username){
      if(!TRACK_VISITORS) return;

	  $this->query_delete(TBL_ACTIVE_USERS,"username = \'".$this->escape($username)."\'");

      $this->calcNumActiveUsers();
   }
   
   function removeActiveGuest($ip){
      if(!TRACK_VISITORS) return;

	  $this->query_delete(TBL_ACTIVE_GUESTS,"ip = \'".$this->escape($ip)."\'");

      $this->calcNumActiveGuests();
   }
   
   function removeInactiveUsers(){
      if(!TRACK_VISITORS) return;

      $timeout = time()-USER_TIMEOUT*60;

	  $this->query_delete(TBL_ACTIVE_USERS,"timestamp < \'".$timeout."\'");

      $this->calcNumActiveUsers();
   }

   function removeInactiveGuests(){
      if(!TRACK_VISITORS) return;

	  $timeout = time()-GUEST_TIMEOUT*60;

  	  $this->query_delete(TBL_ACTIVE_GUESTS,"timestamp < \'".$timeout."\'");

	  $this->calcNumActiveGuests();
   }
   
}

$database = new userDB();