--
-- Structure for table _variable (OID = 20113) :
--
SET search_path = public, pg_catalog;
CREATE TABLE _variable (
    name character varying(64) NOT NULL,
    value text
);
--
-- Structure for table _system_log (OID = 20122) :
--
CREATE TABLE _system_log (
    id serial NOT NULL,
    user_id integer DEFAULT 0 NOT NULL,
    type_id smallint DEFAULT 0 NOT NULL,
    "key" character varying(96) DEFAULT ''::character varying NOT NULL,
    msg text NOT NULL,
    req_uri text DEFAULT ''::text NOT NULL,
    req_ip character varying(128) DEFAULT ''::character varying NOT NULL,
    "timestamp" timestamp without time zone DEFAULT now() NOT NULL
);
--
-- Structure for table _session (OID = 20136) :
--
CREATE TABLE _session (
    sess_id character varying(32) DEFAULT ''::character varying NOT NULL,
    user_id integer DEFAULT 0 NOT NULL,
    req_ip character varying(128) DEFAULT ''::character varying NOT NULL,
    last_access timestamp without time zone DEFAULT now() NOT NULL,
    sess_data text
);
--
-- Structure for table _page (OID = 20156) :
--
CREATE TABLE _page (
    id serial NOT NULL,
    name character varying(96) DEFAULT ''::character varying NOT NULL,
    title character varying(96) DEFAULT ''::character varying NOT NULL,
    keywords text DEFAULT ''::text NOT NULL,
    description text DEFAULT ''::text NOT NULL,
    html_body text DEFAULT ''::text NOT NULL,
    active smallint DEFAULT 1 NOT NULL,
    lang_id smallint DEFAULT 0 NOT NULL,
    template_mod_id smallint DEFAULT 0 NOT NULL,
    modified timestamp without time zone DEFAULT now() NOT NULL
);

-- Table: userprivileges

-- DROP TABLE userprivileges;

CREATE TABLE userprivileges
(
  userprivilegeid serial NOT NULL,
  "name" character varying(50),
  CONSTRAINT userprivileges_pkey PRIMARY KEY (userprivilegeid)
);

-- Table: users

-- DROP TABLE users;

CREATE TABLE users
(
  userid serial NOT NULL,
  username character varying(50),
  userpass character varying(50),
  userprivilegeid integer NOT NULL DEFAULT 0,
  status integer NOT NULL DEFAULT 1,
  person_name character varying(50),
  CONSTRAINT users_pkey PRIMARY KEY (userid),
  CONSTRAINT users_userprivilegeid_fkey FOREIGN KEY (userprivilegeid)
      REFERENCES userprivileges (userprivilegeid) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
);

INSERT INTO userprivileges (userprivilegeid, name)
VALUES ('0', 'Гост');

INSERT INTO userprivileges (userprivilegeid, name)
VALUES ('1', 'Админ');

INSERT INTO users (username,userpass,userprivilegeid,status)
VALUES ('Admin', 'cveti','1', '1');

