<?php
	
	// SYSTEM LOG -------------------------------------
	define('SYSTEM_DB_ERR',3);
	define('SYSTEM_ERR',2);
	define('SYSTEM_WARN',1);
	define('SYSTEM_INFO',0);
	$_SYSTEM_ERRS = 0;
	function system_db_err($str, $key = '')	{system_log($str, $key, SYSTEM_DB_ERR);}
	function system_err($str, $key = '')		{system_log($str, $key, SYSTEM_ERR);}
	function system_warn($str, $key = '')		{system_log($str, $key, SYSTEM_WARN);}
	function system_info($str, $key = '')		{system_log($str, $key, SYSTEM_INFO);}
	function system_log($str, $key, $type_id)
	{ 
		global $_SYSTEM_ERRS, $_USER, $database;
		if($type_id == SYSTEM_ERR || $type_id == SYSTEM_DB_ERR) $_SYSTEM_ERRS++;
		$str = $database->escape($str);
	  $database->query("insert into _system_log(user_id, type_id, `key`, msg, url, hostname, `timestamp`) values(0, 1, ' ', '$str', '123', '123', now() )");
	}
	function error_handler($errno, $message, $filename, $line) 
	{
		global $_DEBUG;
		if($errno & (E_ALL ^ E_NOTICE)) 
		{
			$types = array(1 => 'error', 2 => 'warning', 4 => 'parse error', 8 => 'notice', 16 => 'core error', 32 => 'core warning', 64 => 'compile error', 128 => 'compile warning', 256 => 'user error', 512 => 'user warning', 1024 => 'user notice', 2048 => 'strict warning');
			$entry = $types[$errno] .': '. $message .' in '. $filename .' on line '. $line .'.';
			
			if($_DEBUG) err($entry);
	//		system_err(strstr('%message in %file on line %line.', array('%error' => $types[$errno], '%message' => $message, '%file' => $filename, '%line' => $line)), 'php');
		}
	}
	set_error_handler('error_handler');

	// MESSAGES -------------------------------------
	define('DB_ERR',3);
	define('ERR',2);
	define('WARN',1);
	define('INFO',0);
	define('TRACE',-1);
	$_MSG = array();
	$_MSG_ERRS = array();

	function term($str, $key = ''){ 
		err($str, $key);
		return false;
	}
	function err($str, $key = ''){ 
		global $_MSG, $_MSG_ERRS;
		$_MSG_ERRS[$key]++;
		$_MSG_ERRS['*']++;
		array_push($_MSG, array('msg'=>$str, 'date'=>'', 'type'=>ERR, 'key'=>$key)); 
	}
	function warn($str, $key = ''){ 
		global $_MSG;  
		array_push($_MSG, array('msg'=>$str, 'date'=>'', 'type'=>WARN, 'key'=>$key)); 
	}
	function info($str, $key = ''){ 
		global $_MSG;
		array_push($_MSG, array('msg'=>$str, 'date'=>'', 'type'=>INFO, 'key'=>$key)); 
	}
	function trace($str, $key = ''){ 
		global $_MSG;
		array_push($_MSG, array('msg'=>$str, 'date'=>'', 'type'=>TRACE, 'key'=>$key)); 
	}
	function db_err($sql, $key = ''){	
		global $_MSG;
		$str = db_last_error()."<br/>SQL: $sql";
		array_push($_MSG, array('msg'=>$str, 'date'=>'', 'type'=>DB_ERR, 'key'=>$key)); 
		system_err($str, 'db');
	}
	function iserr($key = '*'){
		global $_MSG_ERRS; 
		return ($_MSG_ERRS[$key] != 0);
	}
	function get_messages($key = '')
	{
		global $_MSG;
		$res = array();
		foreach($_MSG as $m)
			if($m['key'] == $key) array_push($res, $m);
	}
	function format_messages($key = '')
	{
		global $_MSG;
		foreach($_MSG as $m)
		{
			if($m['key'] == $key || $key == '*')
			{
				switch($m['type'])
				{
					case DB_ERR:	$class = 'db-err';	break;
					case ERR:		$class = 'err';		break;
					case WARN:		$class = 'warn';	break;
					case TRACE:		$class = 'trace';	break;
					case INFO:
					default:		$class = 'info';	break;
				}
				$str .= "<div class='$class'>{$m['msg']}</div>";
			}
		}
		if(count($_MSG))

			$str = "<div class='msg'>$str</div>";
		return $str;
	}
	
	function format_messages_li($key = '')
	{
		global $_MSG;
		foreach($_MSG as $m)
		{
			if($m['key'] == $key || $key == '*')
			{
				switch($m['type'])
				{
					case DB_ERR: 
						$str .= '<li class="db-err">SQL Грешка: ';
						break;
					case ERR:
						$str .= '<li class="err">Грешка: ';
						break;
					case WARN:
						$str .= '<li class="warn">Внимание: ';
						break;
					case INFO:
						$str .= '<li class="info">';
						break;
					default:
						$str .= '<li class="info">';
						break;
				}
				$str .= $m['msg'].'</li>';
			}
		}
		if(strlen($str))
			$str = "<ul class='msg'>$str</ul>";
		return $str;
	}
	

	// TIMERS -------------------------------------
	$_TIMERS = array();
	
	function timer_start($key)
	{
		global $_TIMERS;
		if(!isset($_TIMERS[$key]))
			$_TIMERS[$key] = array('start'=>0, 'time'=>0);

		if($_TIMERS[$key]['start'] == 0)
			$_TIMERS[$key]['start'] = getmicrotime();
	}
	function timer_stop($key)
	{
		global $_TIMERS;
		$_TIMERS[$key]['time'] += getmicrotime() - $_TIMERS[$key]['start'];
		$_TIMERS[$key]['start'] = 0;
	}
	function timer_time($key)
	{
		global $_TIMERS;
		return $_TIMERS[$key]['time'];
	}
	function format_microtime($tm)
	{
		return round($tm*1000.0, 3);
	}


	// PERSISTENT VARS ----------------------------
	$_PVAR = array();
	function vars_fetch()
	{
		global $_PVAR,$database;
		$res = $database->query('SELECT "name", "value" FROM _variable');
		while ($v = $database->fetch_object($res))
		  $_PVAR[$v->name] = unserialize($v->value);
	}
	function var_get($name, $default) 
	{
	  global $_PVAR;
	  return isset($_PVAR[$name]) ? $_PVAR[$name] : $default;
	}
	function var_set($name, $value) 
	{
		global $_PVAR;
		$v = db_escape(serialize($value));
	 	db_query("UPDATE _variable SET \"value\" = '$v' WHERE \"name\" = '$name'");
		if(db_affected_rows()==0) db_query("INSERT INTO _variable (\"name\", \"value\") VALUES ('$name', '$v')");
		$_PVAR[$name] = $value;
	}
	function var_unset($name) 
	{
		global $_PVAR;
		db_query("DELETE FROM _variable WHERE \"name\" = '$name'");
		unset($_PVAR[$name]);
	}
?>